<?php
	/**************************************************************************\
	* ExpressoLivre - Setup                                                     *
	* http://www.expressolivre.org                                              *
	* --------------------------------------------                             *
	* This program is free software; you can redistribute it and/or modify it  *
	* under the terms of the GNU General Public License as published by the    *
	* Free Software Foundation; either version 2 of the License, or (at your   *
	* option) any later version.                                               *
	\**************************************************************************/

	$test[] = '1.000';
	function expressoCalendar_upgrade1_000() {

		$oProc = $GLOBALS['phpgw_setup']->oProc;

		$oProc->query('ALTER TABLE calendar_participant ADD COLUMN acl varchar(10) not null DEFAULT "r" ');
		$oProc->query('ALTER TABLE calendar_participant ADD COLUMN receive_notification smallint not null DEFAULT 1 ');
		$oProc->query('ALTER TABLE calendar_participant RENAME COLUMN delegated_to TO delegated_from ');
		$oProc->query('UPDATE calendar_participant SET acl = "rowi" where is_organizer = 1 ');

		$oProc->query('ALTER TABLE calendar_object  ALTER COLUMN range_start TYPE bigint USING (date_part(\'epoch\',(cast(range_start as timestamp)))::bigint) * 1000');
		$oProc->query('ALTER TABLE calendar_object  ALTER COLUMN range_end TYPE bigint USING (date_part(\'epoch\',(cast(range_end as timestamp)))::bigint) * 1000');

		$oProc->query('ALTER TABLE calendar_alarm ALTER COLUMN range_end TYPE bigint USING (date_part(\'epoch\',(cast(range_end as timestamp)))::bigint) * 1000');
		$oProc->query('ALTER TABLE calendar_alarm ALTER COLUMN range_start TYPE bigint USING (date_part(\'epoch\',(cast(range_start as timestamp)))::bigint) * 1000');

		$oProc->query('ALTER TABLE attachment ADD COLUMN owner integer');

		$GLOBALS['setup_info']['expressoCalendar']['currentver'] = '1.001';
        return $GLOBALS['setup_info']['expressoCalendar']['currentver'];
	}
?>